package jwebstack.stripes;

import jwebstack.domain.Model;

import com.avaje.ebean.Ebean;
import net.sourceforge.stripes.action.DefaultHandler;
import net.sourceforge.stripes.action.Resolution;
import net.sourceforge.stripes.action.StreamingResolution;
import net.sourceforge.stripes.action.UrlBinding;

@UrlBinding("/db")
public class DbActionBean extends AbstractActionBean {
    @DefaultHandler
    public Resolution event() {
        Model m = new Model();

        m.setName("storage");

        try {
        	Ebean.save(m);
        } catch (Exception e) {}

        Model mm = Ebean.find(Model.class).where().eq("name", "storage").findList().get(0);

        return new StreamingResolution("text/html", mm.getName());
    }
}
