package jwebstack.frontend;

import jwebstack.BaseTestCase;
import jwebstack.util.JettyServer;

import org.junit.Before;


import com.gargoylesoftware.htmlunit.WebClient;

public abstract class FrontendTestCase extends BaseTestCase {
	protected WebClient webClient;

	@Before
	@Override
	public void setUp() throws Exception {
		super.setUp();
		
		webClient = new WebClient();
		if (!JettyServer.isServerRunning()) {
			JettyServer.startServer();
		}
	}

	protected String getUrl() {
		return JettyServer.getUrl();
	}
	
	protected String getUrl(String url) {
		return getUrl() + url;
	}
}
