package jwebstack.servlet;

import java.io.IOException;

import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

public class EncodingFilter extends AbstractFilter {
	private static final String characterEncoding = "UTF-8";

	@Override
	public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain)
			throws IOException, ServletException {
		servletResponse.setCharacterEncoding(characterEncoding);
		filterChain.doFilter(servletRequest, servletResponse);
	}
}
