package jwebstack.stripes;

import jwebstack.stripes.AbstractActionBean;
import jwebstack.system.CacheService;
import net.sourceforge.stripes.action.DefaultHandler;
import net.sourceforge.stripes.action.Resolution;
import net.sourceforge.stripes.action.StreamingResolution;
import net.sourceforge.stripes.action.UrlBinding;

import com.google.inject.Inject;
import org.junit.Ignore;

@UrlBinding("/test")
@Ignore
public class TestActionBean extends AbstractActionBean {
	@Inject
	private CacheService cacheService;
	
	@DefaultHandler
	public Resolution event() {
		cacheService.put("key", "Foo");
		String result = (String) cacheService.get("key");
		return new StreamingResolution("text/html", result);
	}
}
